aboutsummaryrefslogtreecommitdiff
path: root/dragons
diff options
context:
space:
mode:
authorJames Turner <jturner@gemini.edu>2019-04-25 12:19:35 -0400
committerJames Turner <jturner@gemini.edu>2019-04-25 12:19:35 -0400
commitf74904641a615ba94e5b05a2c2d196f2b2fb481f (patch)
tree48d82b8c83ccc6a2bcbd0b47ecd5a26e6b1f063e /dragons
parent095bda1ce290f8ae8facf64995bfdfa83ef472ec (diff)
downloadastroconda-iraf-f74904641a615ba94e5b05a2c2d196f2b2fb481f.tar.gz
Add recipe for public dragons package (based on the astroconda-gemini-internal one) and include it in the gemini meta-package.
Diffstat (limited to 'dragons')
-rw-r--r--dragons/bld.bat3
-rw-r--r--dragons/build.sh23
-rw-r--r--dragons/meta.yaml54
3 files changed, 80 insertions, 0 deletions
diff --git a/dragons/bld.bat b/dragons/bld.bat
new file mode 100644
index 0000000..fa5316a
--- /dev/null
+++ b/dragons/bld.bat
@@ -0,0 +1,3 @@
+
+echo Not supported on Windows
+exit 1 \ No newline at end of file
diff --git a/dragons/build.sh b/dragons/build.sh
new file mode 100644
index 0000000..9ab2886
--- /dev/null
+++ b/dragons/build.sh
@@ -0,0 +1,23 @@
+# Build the package in the usual way:
+$PYTHON setup.py install || exit 1
+
+# Build the Sphinx documentation with our purpose-built LaTeX package:
+docs="astrodata/doc/ad_CheatSheet astrodata/doc/ad_ProgManual \
+ astrodata/doc/ad_UserManual recipe_system/doc/rs_ProgManual \
+ recipe_system/doc/rs_UsersManual geminidr/doc/progmanuals/notes4manual \
+ geminidr/doc/tutorials/F2Img-DRTutorial \
+ geminidr/doc/tutorials/GSAOIImg-DRTutorial \
+ geminidr/doc/tutorials/NIRIImg-DRTutorial \
+ doc/DRAGONS gempy/doc/mosaic"
+
+# Doc build to be completed here. Need to add a doc build step / script to
+# DRAGONS itself, to keep things modular and allow building everything without
+# the conda recipe.
+
+#(cd doc/ && make html && make latexpdf) || exit 1
+
+# Install the LICENSE file(s) where recipients can read them:
+mkdir -p ${PREFIX}/share/dragons/
+cp -p LICENSE ${PREFIX}/share/dragons/ || exit 1
+cp -pR extern_licenses ${PREFIX}/share/dragons/
+
diff --git a/dragons/meta.yaml b/dragons/meta.yaml
new file mode 100644
index 0000000..600378c
--- /dev/null
+++ b/dragons/meta.yaml
@@ -0,0 +1,54 @@
+about:
+ home: http://www.gemini.edu/sciops/data-and-results/processing-software
+ license: BSD
+ summary: The main DRAGONS package for processing Gemini data
+build:
+ binary_relocation: True
+ number: '0'
+package:
+ name: dragons
+ version: "2.1.0"
+source:
+ git_url: https://github.com/GeminiDRSoftware/DRAGONS.git
+ # git_tag: v2.1.0 # TBC
+requirements:
+ # Most of the dependencies besides python are not actually needed to
+ # "build" dragons, but including them here ensures that they get built
+ # and therefore that the package is installable.
+ build:
+ - python
+ - astropy >=1.2.1
+ - astroquery >=0.3.5
+ - cython >=0.24.1
+ - future >=0.16.0
+ - matplotlib >=1.4.2
+ - numpy >=1.9.1
+ - pyraf >=2.1.6
+ - pytest >=2.9.2
+ - python-dateutil >=2.5.3
+ - requests >=2.11.1
+ - scipy >=0.15.1
+ - scikit-image >=0.10.1
+ - sphinx >=1.2.2
+ - sphinx_rtd_theme >=0.3.0
+ - sqlalchemy >=1.0
+ - stsci.numdisplay >=1.6
+ - fitsverify >=4.17
+ - sextractor >=2.8.6
+ run:
+ - python
+ - astropy >=1.2.1
+ - astroquery >=0.3.5
+ - future >=0.16.0
+ - matplotlib >=1.4.2
+ - numpy >=1.9.1
+ - pyraf >=2.1.6
+ - pytest >=2.9.2
+ - python-dateutil >=2.5.3
+ - requests >=2.11.1
+ - scipy >=0.15.1
+ - scikit-image >=0.10.1
+ - sqlalchemy >=1.0
+ - stsci.numdisplay >=1.6
+ - fitsverify >=4.17
+ - sextractor >=2.8.6